from servo import *
import serial

class MainWindow(QtWidgets.QMainWindow, Ui_MainWindow):
    def __init__(self, *args, **kwargs):
        QtWidgets.QMainWindow.__init__(self, *args, **kwargs)
        self.setupUi(self)
        # A partir de aqui ya va lo tuyo (tu lógica)
        self.serial = serial.Serial ('COM6', 9600)
        self.pos = 0
        self.btn_mas5.clicked.connect(self.mas5)
        self.btn_menos5.clicked.connect(self.menos5)
        self.btn_zero.clicked.connect(self.zero)

        self.potenciometer.setMinimum(0)
        self.potenciometer.setMaximum(180)
        self.potenciometer.valueChanged.connect(self.updatepotenciometer)

    def zero(self):
        self.serial.write(b'0')
        print("Regresando a Cero")
        self.pos = 0
        self.lcdpos.display(int(self.pos))

    def menos5(self):
        self.serial.write(b'1')
        print("Menos 5")
        self.pos -= 5
        self.lcdpos.display(int(self.pos))

    def mas5(self):
        self.serial.write(b'2')
        print("Mas 5")
        print(int(self.pos))
        self.pos += 5
        self.lcdpos.display(int(self.pos))

    def updatepotenciometer(self):
        self.pos = int(self.potenciometer.value())
        print("Moviendo potenciometro:", self.pos)
        self.lcdpos.display(self.pos)
        self.serial.write(str(self.pos).encode())


if __name__ == '__main__':
    app = QtWidgets.QApplication([])
    window = MainWindow()
    window.show()
    app.exec()